Subject: bug#69590: closed (Re: bug#69590: 30.0.50; Build scripts break due to DOS-style line endings)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Oct 2024 01:20:02 +0000

Your bug report

#69590: 30.0.50; Build scripts break due to DOS-style line endings

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69590: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69590
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69590: 30.0.50; Build scripts break due to DOS-style line endings
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], "Divvy Cr." <[email-masked]>
Date: Fri, 4 Oct 2024 18:18:38 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> [Please use Reply All to reply to keep the bug tracker CC'ed.]
>
>> From: "Divvy Cr." <[email-masked]>
>> Date: Wed, 6 Mar 2024 20:25:09 +0000
>>
>> Hmmm, I'm running Emacs on WSL2, and this is the first and only time I've had this issue, which is what baffled
>> me.
>>
>> Sorry for the confusion, and thanks for the reply!
>
> You are building a GNU/Linux build of Emacs on WSL2?  To update the
> repository from upstream, are you running Git on Windows or on
> GNU/Linux?

More information was requested, but none was given within 6 months, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Subject: 30.0.50; Build scripts break due to DOS-style line endings
From: "Divvy Cr." <[email-masked]>
To: [email-masked]
Date: Wed, 6 Mar 2024 18:27:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Currently, cloning the latest Emacs branches (namely, master and
emacs-29) fails to build via `./autogen.sh` with the following error:

zsh: ./autogen.sh: bad interpreter: /bin/sh^M: no such file or directory

Using Vim's `:set fileformat=unix` on autogen.sh, it still fails to
build with the following errors:

Checking whether you have the necessary tools...
(Read INSTALL.REPO for more details on building Emacs)
Checking for autoconf (need at least version 2.65) ... ok
Your system has the required tools.
Building aclocal.m4 ...
Running 'autoreconf -fi -I m4' ...
: not found
sh: 2: Syntax error: word unexpected (expecting "do")
configure.ac:7373: error: expected source file, required through
AC_LIBSOURCES, not found
./lib/autoconf/general.m4:2437: AC_FATAL is expanded from...
m4/gnulib-comp.m4:222: gl_INIT is expanded from...
configure.ac:7373: the top level
autom4te: error: /usr/bin/m4 failed with exit status: 1
autoreconf: error: /usr/bin/autoconf failed with exit status: 1

Now, the line ': not found' again hints at problems with DOS-vs-Unix
style formatting. I have managed to successfully build latest Emacs
after running the following on the repository:

git ls-files -z | xargs -0 dos2unix
git ls-files -z '*.bat' | xargs -0 unix2dos

Is this a bug in Emacs' build scripts, autoreconf, or just an
inconvenience of using the latest builds? Notably, my previous Emacs
30.0.50 build from December 2023 did not have these issues.